"use strict";
cc._RFpush(module, '41cf4qbWmRN8JVgnmi+YNnQ', 'MoveAction');
// Script\MoveAction.js


cc.Class({
    "extends": cc.Component,

    properties: {
        moveAction: null
    },

    // use this for initialization
    onLoad: function onLoad() {
        this.move = false;
        this._endPoint = this.node.getPosition();
    },

    update: function update(dt) {
        if (this.move == false) {
            // this.moveAction = cc.cardinalSplineBy (this.t, this.getMoveArray(), -0.3);
            // this.node.runAction(this.moveAction);
            // this.move = true;
            var nodes = [cc.p(-300, -300), cc.p(300, -600), cc.p(0, -2000)];
            this.moveAction = cc.bezierBy(6, nodes);
            this.node.runAction(this.moveAction);
            this.move = true;
        }
    },

    stopMoveAction: function stopMoveAction() {
        this.node.stopAction(this.moveAction);
    }
});

cc._RFpop();